Subject: RE: [ipcdn] use of ipv4z (zoned local) addresses across Docsis MI Bs?

From: "Woundy, Richard" <[email-masked]>
Date: Wed, 17 Sep 2003 15:15:54 -0600

Let's look at RFC 3291 section 4.2:

   The InetAddressIPv4z is intended for use in MIBs (like the TCP-MIB)
   which report addresses in the address family used on the wire, but
   where the entity instrumented obtains such addresses from
   applications or administrators in a form which includes a zone index,
   such as v4-mapped IPv6 addresses.

I am struggling to see how we would mandate support for such zoned IPv4
addresses in CMs and CMTSs. Thoughts?

-- Rich

-----Original Message-----
From: Jim Forster [mailto:[email-masked]]
Sent: Wednesday, September 17, 2003 1:21 PM
To: Woundy, Richard
Cc: [email-masked]
Subject: Re: [ipcdn] use of ipv4z (zoned local) addresses across Docsis
MI Bs?

Rich,

What's the typical/expected usage of these addresses?  I could speculate but
would rather ask.

  -- Jim

On 9/17/03 11:09 AM, "Woundy, Richard" <[email-masked]>
wrote:

> Folks,
> 
> I think I understand the case for omitting ipv4z from the IPCDN MIB
> compliance statements:
> - there is no native support for zoned IP addresses in the DOCSIS
> environment, and
> - omitting ipv4z makes it easier to build and test products for compliance
> to these MIB.
> 
> What is the case for making ipv4z support mandatory???
> 
> -- Rich
> 
> -----Original Message-----
> From: Wilson Sawyer [mailto:[email-masked]]
> Sent: Sunday, September 14, 2003 11:58 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [ipcdn] use of ipv4z (zoned local) addresses across Docsis
> MIBs?
> 
> 
> Bert Wijnen and Joergen Schoenwaelder made the point that I may have
> unintentionally excluded the ipv4z address type (see RFC 3291) from an
> ipv4-only compliance statement for the Docsis subscriber-management MIB.
> 
> The use of InetAddressType calls for consistency across the Docsis MIBs.
> I ask that the other MIB authors, in particular, look into this and post
> your thoughts to the list.
> 
> At present, the subscriber management MIB permits the representation of
> any InetAddressType, but its compliance statement only requires ipv4. It
> does not require support for ipv4z. I'm inclined to believe that ipv4z
> addresses, while they might be a legitimate part of a docsis
> environment, shouldn't be required for basic compliance. But consistency
> with other Docsis MIBs, as well as the general opinion of the WG, are
> more important than my inclinations.
> 
> - Wilson Sawyer
> 
> 
> _______________________________________________
> IPCDN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipcdn
> 
> _______________________________________________
> IPCDN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipcdn

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn